.drag-cursor {
    position: fixed;
    top: 0;
    left: 0;
    width: 89px;
    height: 90px;
    pointer-events: none;
    opacity: 0;
    transform: translate(-50%, -50%);
    transition: opacity 0.25s ease;
    z-index: 9999;
    will-change: transform;
}

.drag-cursor.visible {
    opacity: 1;
}

.drag-cursor.dragging {
    transform: translate(-50%, -50%) scale(0.9);
}


.custom-cursor {
    position: fixed;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
    transform: translate(-50%, -50%);
    transition: opacity 0.25s ease;
    z-index: 9999;
    will-change: transform;
}

.custom-cursor.visible {
    opacity: 1;
}

.custom-cursor.dragging {
    transform: translate(-50%, -50%) scale(0.9);
}

.zoom-hover {
    .img-zoom-hover {
        transition: var(--transitions-large);
    }

    &:hover {
        .img-zoom-hover {
            transform: scale(1.1);
            transition: var(--transitions-large);
            object-fit: cover;
        }
    }
}

.related-products * {
    boder-collapse: collapse;
}


.related-product {
    .giro-icon {
        .elementor-icon {
            transition: var(--transitions-large);
            transform: rotate(0deg);
            transform-origin: center;
        }

    }

    &:hover {
        .giro-icon {
            .elementor-icon {
                transition: var(--transitions-large);
                transform: rotate(180deg);
                transform-origin: center;
            }
        }

        .img-zoom-hover {
            transform: scale(1.1);
            transition: var(--transitions-large);
            object-fit: cover;
        }
    }
}

.elementor-custom-embed-image-overlay {
    position: relative;

    ::after {
        content: "";
        width: 30px;
        height: 30px;
        border-radius: 100%;
        border: 2px solid var(--c-blanco);
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        animation: ring 1.5s infinite;
    }

    ::before {
        content: "";
        width: 30px;
        height: 30px;
        border-radius: 100%;
        border: 2px solid var(--c-blanco);
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        animation: ring 1.5s infinite;
        animation-delay: 0.25s;
    }
}

@keyframes ring {
    0% {
        width: 30px;
        height: 30px;
        opacity: 1;
    }

    100% {
        width: 150px;
        height: 150px;
        opacity: 0;
    }
}